## ros-one-openni2-launch 1.6.0-3jammy.20251023.1051

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(openni2_launch)

find_package(catkin)
catkin_python_setup()
catkin_package()

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
)

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)
#  roslaunch_add_file_check(launch/includes)  # 20181003 this fails.
endif()

=== debian/changelog ===
ros-one-openni2-launch (1.6.0-3jammy.20251023.1051) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Thu, 23 Oct 2025 10:51:27 +0000

ros-one-openni2-launch (1.6.0-0jammy) jammy; urgency=high

  * [capability] Add depth_registered and depth_registered_filtered arguments #111 <https://github.com/ros-drivers/openni2_camera/issues/111>

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Tue, 12 Apr 2022 00:00:00 -0000

ros-one-openni2-launch (1.5.1-0jammy) jammy; urgency=high

  * Default branch update for ROS1 development.
  * [CI] Add GitHub Actions configs

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Mon, 01 Feb 2021 00:00:00 -0000

ros-one-openni2-launch (1.5.0-0jammy) jammy; urgency=high

  * [capability] Use serialnumber in camera names #101 <https://github.com/ros-drivers/openni2_camera/issues/101>
  * Release for Noetic #98 <https://github.com/ros-drivers/openni2_camera/issues/98>

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Tue, 12 Jan 2021 00:00:00 -0000

ros-one-openni2-launch (1.4.2-0jammy) jammy; urgency=high

  * update package.xml for noetic support
  * Contributors: Michael Ferguson

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Wed, 03 Jun 2020 00:00:00 -0000

ros-one-openni2-launch (0.4.2-0jammy) jammy; urgency=high

  * Fix roswtf plugin dependency #92 <https://github.com/ros-drivers/openni2_camera/issues/92>
  * Contributors: Isaac I.Y. Saito

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Sat, 01 Dec 2018 00:00:00 -0000

ros-one-openni2-launch (0.4.1-0jammy) jammy; urgency=high

  * [fix] [roswtf plugin] Accept vendor and product IDs (fix #88 <https://github.com/ros-drivers/openni2_camera/issues/88>).
  * [improve] Remove unused ROS Parameters. #76 <https://github.com/ros-drivers/openni2_camera/issues/76>
  * [improve] Add roslaunch check.
  * Contributors: Isaac I.Y. Saito

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Sat, 20 Oct 2018 00:00:00 -0000

ros-one-openni2-launch (0.4.0-0jammy) jammy; urgency=high

  * Add a simple roswtf plugin. #80 <https://github.com/ros-drivers/openni2_camera/issues/80>
  * Contributors: Isaac I.Y. Saito, PlusOne Robotics Inc.

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Tue, 17 Jul 2018 00:00:00 -0000

ros-one-openni2-launch (0.3.0-0jammy) jammy; urgency=high

  * Move openni2_launch package into openni2_camera repository #55 <https://github.com/ros-drivers/openni2_camera/issues/55>
  * Add rosdoc-based document.
  * Contributors: Isaac I.Y. Saito

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Fri, 03 Nov 2017 00:00:00 -0000

ros-one-openni2-launch (0.2.2-0jammy) jammy; urgency=high

  * add tf_prefix version, as per #16 <https://github.com/ros-drivers/openni2_launch/issues/16>
  * fix #19 <https://github.com/ros-drivers/openni2_launch/issues/19>, reverts #16 <https://github.com/ros-drivers/openni2_launch/issues/16>
  * Contributors: Michael Ferguson

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Fri, 23 Jan 2015 00:00:00 -0000

ros-one-openni2-launch (0.2.1-0jammy) jammy; urgency=high

  * Force device_id to string type
  * Contributors: Dariush Forouher, Michael Ferguson

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Thu, 22 May 2014 00:00:00 -0000

ros-one-openni2-launch (0.2.0-0jammy) jammy; urgency=high

  * Remove machine arg, as it is not necessary.
  * Add tf_prefix same as openni
  * Defaults for depth processing are set apropriately for both hardware and software registration.
  * Contributors: Libor Wagner, Mark Pitchless, Michael Ferguson, Piyush Khandelwal

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Tue, 20 May 2014 00:00:00 -0000

ros-one-openni2-launch (0.1.2-0jammy) jammy; urgency=high

  * Expose driver parameters. Note: depth_registration is now off by default.

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Mon, 30 Sep 2013 00:00:00 -0000

ros-one-openni2-launch (0.1.1-0jammy) jammy; urgency=high

  * Properly namespace the nodelet manager

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Wed, 25 Sep 2013 00:00:00 -0000

ros-one-openni2-launch (0.1.0-0jammy) jammy; urgency=high

  * First release
  * This package is a thin wrapper around rgbd_launch

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Tue, 10 Sep 2013 00:00:00 -0000

## ros-one-openni2-launch 1.6.0-3jammy.20260221.2215

=== debian/changelog ===
ros-one-openni2-launch (1.6.0-3jammy.20260221.2215) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Sat, 21 Feb 2026 22:15:29 +0000

## ros-one-openni2-launch 1.6.0-3noble.20251023.1112

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/openni2_launch.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/openni2_launch.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/openni2_launch"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/openni2_launch"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
ros-one-openni2-launch (1.6.0-3noble.20251023.1112) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Thu, 23 Oct 2025 11:12:42 +0000

ros-one-openni2-launch (1.6.0-0noble) noble; urgency=high

  * [capability] Add depth_registered and depth_registered_filtered arguments #111 <https://github.com/ros-drivers/openni2_camera/issues/111>

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Tue, 12 Apr 2022 00:00:00 -0000

ros-one-openni2-launch (1.5.1-0noble) noble; urgency=high

  * Default branch update for ROS1 development.
  * [CI] Add GitHub Actions configs

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Mon, 01 Feb 2021 00:00:00 -0000

ros-one-openni2-launch (1.5.0-0noble) noble; urgency=high

  * [capability] Use serialnumber in camera names #101 <https://github.com/ros-drivers/openni2_camera/issues/101>
  * Release for Noetic #98 <https://github.com/ros-drivers/openni2_camera/issues/98>

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Tue, 12 Jan 2021 00:00:00 -0000

ros-one-openni2-launch (1.4.2-0noble) noble; urgency=high

  * update package.xml for noetic support
  * Contributors: Michael Ferguson

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Wed, 03 Jun 2020 00:00:00 -0000

ros-one-openni2-launch (0.4.2-0noble) noble; urgency=high

  * Fix roswtf plugin dependency #92 <https://github.com/ros-drivers/openni2_camera/issues/92>
  * Contributors: Isaac I.Y. Saito

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Sat, 01 Dec 2018 00:00:00 -0000

ros-one-openni2-launch (0.4.1-0noble) noble; urgency=high

  * [fix] [roswtf plugin] Accept vendor and product IDs (fix #88 <https://github.com/ros-drivers/openni2_camera/issues/88>).
  * [improve] Remove unused ROS Parameters. #76 <https://github.com/ros-drivers/openni2_camera/issues/76>
  * [improve] Add roslaunch check.
  * Contributors: Isaac I.Y. Saito

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Sat, 20 Oct 2018 00:00:00 -0000

ros-one-openni2-launch (0.4.0-0noble) noble; urgency=high

  * Add a simple roswtf plugin. #80 <https://github.com/ros-drivers/openni2_camera/issues/80>
  * Contributors: Isaac I.Y. Saito, PlusOne Robotics Inc.

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Tue, 17 Jul 2018 00:00:00 -0000

ros-one-openni2-launch (0.3.0-0noble) noble; urgency=high

  * Move openni2_launch package into openni2_camera repository #55 <https://github.com/ros-drivers/openni2_camera/issues/55>
  * Add rosdoc-based document.
  * Contributors: Isaac I.Y. Saito

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Fri, 03 Nov 2017 00:00:00 -0000

ros-one-openni2-launch (0.2.2-0noble) noble; urgency=high

  * add tf_prefix version, as per #16 <https://github.com/ros-drivers/openni2_launch/issues/16>
  * fix #19 <https://github.com/ros-drivers/openni2_launch/issues/19>, reverts #16 <https://github.com/ros-drivers/openni2_launch/issues/16>
  * Contributors: Michael Ferguson

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Fri, 23 Jan 2015 00:00:00 -0000

ros-one-openni2-launch (0.2.1-0noble) noble; urgency=high

  * Force device_id to string type
  * Contributors: Dariush Forouher, Michael Ferguson

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Thu, 22 May 2014 00:00:00 -0000

ros-one-openni2-launch (0.2.0-0noble) noble; urgency=high

  * Remove machine arg, as it is not necessary.
  * Add tf_prefix same as openni
  * Defaults for depth processing are set apropriately for both hardware and software registration.
  * Contributors: Libor Wagner, Mark Pitchless, Michael Ferguson, Piyush Khandelwal

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Tue, 20 May 2014 00:00:00 -0000

ros-one-openni2-launch (0.1.2-0noble) noble; urgency=high

  * Expose driver parameters. Note: depth_registration is now off by default.

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Mon, 30 Sep 2013 00:00:00 -0000

ros-one-openni2-launch (0.1.1-0noble) noble; urgency=high

  * Properly namespace the nodelet manager

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Wed, 25 Sep 2013 00:00:00 -0000

ros-one-openni2-launch (0.1.0-0noble) noble; urgency=high

  * First release
  * This package is a thin wrapper around rgbd_launch

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Tue, 10 Sep 2013 00:00:00 -0000

=== debian/control ===
Source: ros-one-openni2-launch
Section: misc
Priority: optional
Maintainer: Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-pkg, ros-one-catkin, ros-one-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-openni2-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-catkin-pkg, ros-one-depth-image-proc, ros-one-image-proc, ros-one-nodelet, ros-one-openni2-camera, ros-one-rgbd-launch, ros-one-rospy, ros-one-roswtf, ros-one-tf, usbutils
Description: Launch files to start the openni2_camera drivers using rgbd_launch.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-openni2-launch//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-openni2-launch 1.6.0-3noble.20260221.2311

=== debian/changelog ===
ros-one-openni2-launch (1.6.0-3noble.20260221.2311) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I. Y. Saito <isaac.saito@plusonerobotics.com>  Sat, 21 Feb 2026 23:11:22 +0000
